Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge.svg12
Class XPathSubsetContentSelector.Scanner

    java.lang.Object
      org.apache.batik.parser.AbstractScanner
          org.apache.batik.bridge.svg12.XPathSubsetContentSelector.Scanner

Enclosing class:
  XPathSubsetContentSelector

    protected static class XPathSubsetContentSelector.Scanner

extends AbstractScanner

A scanner for XPath subset selectors.

Field Summary
`static int` | `ASTERISK`
`static int` | `COLON`
`static int` | `EOF`
`static int` | `LEFT_PARENTHESIS`
`static int` | `LEFT_SQUARE_BRACKET`
`static int` | `NAME`
`static int` | `NUMBER`
`static int` | `RIGHT_PARENTHESIS`
`static int` | `RIGHT_SQUARE_BRACKET`
`static int` | `STRING`

Fields inherited from class org.apache.batik.parser.AbstractScanner
`blankCharacters, buffer, current, end, position, previousType, reader, start, type`

Constructor Summary
`XPathSubsetContentSelector.Scanner(String s)` Creates a new Scanner object.

Method Summary
`protected int` | `dotNumber()` Scans the decimal part of a number.
`protected int` | `endGap()` Returns the end gap of the current lexical unit.
`protected void` | `nextToken()` Returns the next token.
`protected int` | `number()` Scans a number.
`protected int` | `string1()` Scans a single quoted string.
`protected int` | `string2()` Scans a double quoted string.

Methods inherited from class org.apache.batik.parser.AbstractScanner
`clearBuffer, getBuffer, getColumn, getEnd, getLine, getStart, getStringValue, getType, isEqualIgnoreCase, next, nextChar`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### NAME

    public static final int NAME

See Also:
  Constant Field Values

### COLON

    public static final int COLON

See Also:
  Constant Field Values

### LEFT_SQUARE_BRACKET

    public static final int LEFT_SQUARE_BRACKET

See Also:
  Constant Field Values

### RIGHT_SQUARE_BRACKET

    public static final int RIGHT_SQUARE_BRACKET

See Also:
  Constant Field Values

### LEFT_PARENTHESIS

    public static final int LEFT_PARENTHESIS

See Also:
  Constant Field Values

### RIGHT_PARENTHESIS

    public static final int RIGHT_PARENTHESIS

See Also:
  Constant Field Values

### STRING

    public static final int STRING

See Also:
  Constant Field Values

### NUMBER

    public static final int NUMBER

See Also:
  Constant Field Values

### ASTERISK

    public static final int ASTERISK

See Also:
  Constant Field Values

Constructor Detail

### XPathSubsetContentSelector.Scanner

    public XPathSubsetContentSelector.Scanner(String s)

  Creates a new Scanner object.

Method Detail

### endGap

    protected int endGap()

  Returns the end gap of the current lexical unit.

  Specified by:
    `endGap` in class `AbstractScanner`

### nextToken

    protected void nextToken()
                      throws ParseException

  Returns the next token.

  Specified by:
    `nextToken` in class `AbstractScanner`
  Throws:
    `ParseException`

### string1

    protected int string1()
                   throws IOException

  Scans a single quoted string.

  Throws:
    `IOException`

### string2

    protected int string2()
                   throws IOException

  Scans a double quoted string.

  Throws:
    `IOException`

### number

    protected int number()
                  throws IOException

  Scans a number.

  Throws:
    `IOException`

### dotNumber

    protected int dotNumber()
                     throws IOException

  Scans the decimal part of a number.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.